package com.enactor.training.paymentService.service.messages.gcash;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.namespace.QName;

import com.enactor.core.application.process.ApplicationProcessDataType;
import com.enactor.core.application.process.IApplicationProcessDataType;
import com.enactor.core.entities.PropertyValidationException;
import com.enactor.core.utilities.Logger;	

/**
 * Add comments for the ResultInfo entity implementation here
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ResultInfo", namespace=com.enactor.training.PackageInfo.NSURI_TRAINING, propOrder = {
	"resultCodeId",
	"resultMsg",
	"resultStatus",
	"resultCode"
})

@XmlRootElement(name = ResultInfo.ENTITY_NAME, namespace=com.enactor.training.PackageInfo.NSURI_TRAINING)
public class ResultInfo implements IResultInfo {

	/** My logger instance */
	@SuppressWarnings("unused")
	private static final Logger logger = Logger.getLogger(ResultInfo.class);
	
	/** serialVersionUID */
	private static final long serialVersionUID = 1L;
	
	/** Entity name. */
	public static final String ENTITY_NAME = "resultInfo";
	
	/** Entity QName */
	public static final QName ENTITY_QNAME = new QName(com.enactor.training.PackageInfo.NSURI_TRAINING, ENTITY_NAME, com.enactor.training.PackageInfo.PREFIX_TRAINING);

	/** Entity application data type name */
	public static final String ENTITY_DATA_TYPE_NAME = "enactor.gcash.messages.ResultInfo";
	
	/** Entity application data type */
	public static final IApplicationProcessDataType ENTITY_DATA_TYPE = new ApplicationProcessDataType(ENTITY_DATA_TYPE_NAME, IResultInfo.class.getName());	
		
	/** The ResultCodeId field */
	private String resultCodeId = null;
	
	/** The ResultMsg field */
	private String resultMsg = null;
	
	/** The ResultStatus field */
	private String resultStatus = null;
	
	/** The ResultCode field */
	private String resultCode = null;

	/**************************************************************************
	 * ResultInfo Interface
	 **************************************************************************/
	
	@Override
	public void setResultCodeId(String resultCodeId) throws PropertyValidationException {
		this.resultCodeId = resultCodeId;
	}
	
	@Override
	public String getResultCodeId() {
		return (resultCodeId == null) ? "" : resultCodeId;
	}
	
	@Override
	public void setResultMsg(String resultMsg) throws PropertyValidationException {
		this.resultMsg = resultMsg;
	}
	
	@Override
	public String getResultMsg() {
		return (resultMsg == null) ? "" : resultMsg;
	}
	
	@Override
	public void setResultStatus(String resultStatus) throws PropertyValidationException {
		this.resultStatus = resultStatus;
	}
	
	@Override
	public String getResultStatus() {
		return (resultStatus == null) ? "" : resultStatus;
	}
	
	@Override
	public void setResultCode(String resultCode) throws PropertyValidationException {
		this.resultCode = resultCode;
	}
	
	@Override
	public String getResultCode() {
		return (resultCode == null) ? "" : resultCode;
	}
	
	@Override
	public QName getEntityQName() {
		return ENTITY_QNAME;
	}

}
